Bug 189003 - suspend fries X
suspend fries X
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
5
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 11:53 EDT by Robert Story
Modified: 2008-08-02 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 13:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after suspend attempt (15.59 KB, text/plain)
2006-04-14 15:31 EDT, Robert Story
no flags Details
xlog after suspend attempt (131.91 KB, text/plain)
2006-04-14 15:32 EDT, Robert Story
no flags Details

  None (edit)
Description Robert Story 2006-04-14 11:53:25 EDT
Description of problem:
I selected 'suspend' from the System menubar, and the screen did strange things
(went black, then a 'blooming' effect, which reduced to a few lines)., but the
computer did not sleep.

Version-Release number of selected component (if applicable):
With so many xorg rpms, I have no idea. xorg-x11-server-Xorg-1.0.1-9.fc5.ppc.rpm?

How reproducible:
tried it twice, same result.

Steps to Reproduce:
1. select suspend from System menubar
2.
3.
  
Actual results:
X freaks out, no suspend/sleep

Expected results:
suspend

Additional info:
from /var/log/messages:
Apr 14 11:44:03 dhcp205 gnome-power-manager: Suspending computer because the
DBUS method Suspend() was invoked
Apr 14 11:44:04 dhcp205 ntpd[2045]: ntpd exiting on signal 15
Apr 14 11:44:05 dhcp205 kernel: appletouch: incomplete data package.
Apr 14 11:44:10 dhcp205 kernel: Stopping tasks:
====================================================================================================|
Apr 14 11:44:10 dhcp205 kernel: hci_usb 1-1:1.1: no suspend for driver hci_usb?
Apr 14 11:44:10 dhcp205 kernel: hci_usb 1-1:1.0: no suspend for driver hci_usb?
Apr 14 11:44:10 dhcp205 kernel: eth0: suspending, WakeOnLan disabled
Apr 14 11:44:10 dhcp205 kernel: PCI: Enabling device 0001:10:1b.0 (0000 -> 0002)
Apr 14 11:44:10 dhcp205 kernel: PCI: Enabling device 0001:10:1b.1 (0000 -> 0002)
Apr 14 11:44:10 dhcp205 kernel: PCI: Enabling device 0001:10:1b.2 (0000 -> 0002)
Apr 14 11:44:10 dhcp205 kernel: usb usb4: root hub lost power or was reset
Apr 14 11:44:10 dhcp205 kernel: ehci_hcd 0001:10:1b.2: USB 2.0 started, EHCI
1.00, driver 10 Dec 2004
Apr 14 11:44:10 dhcp205 kernel: eth0: resuming
Apr 14 11:44:10 dhcp205 kernel: hda: Enabling Ultra DMA 5
Apr 14 11:44:10 dhcp205 kernel: Badness in wait_for_ready at
drivers/ide/ide-iops.c:516
Apr 14 11:44:10 dhcp205 kernel: Call Trace:
Apr 14 11:44:10 dhcp205 kernel: [C0393C40] [C0007A50] show_stack+0x54/0x184
(unreliable)
Apr 14 11:44:10 dhcp205 kernel: [C0393C60] [C000E564]
program_check_exception+0x19c/0x520
Apr 14 11:44:10 dhcp205 kernel: [C0393CB0] [C000FC24] ret_from_except_full+0x0/0x4c
Apr 14 11:44:10 dhcp205 kernel: --- Exception: 700 at wait_for_ready+0x94/0xec
Apr 14 11:44:10 dhcp205 kernel:     LR = wait_for_ready+0x3c/0xec
Apr 14 11:44:10 dhcp205 kernel: [C0393D70] [C005A18C]
disable_irq_nosync+0x7c/0x90 (unreliable)
Apr 14 11:44:10 dhcp205 kernel: [C0393D90] [C01DF410]
pmac_ide_do_setfeature+0x108/0x320
Apr 14 11:44:10 dhcp205 kernel: [C0393DB0] [C01DF930] pmac_ide_dma_check+0x308/0x490
Apr 14 11:44:10 dhcp205 kernel: [C0393DE0] [C01D3740] ide_do_request+0x618/0x8cc
Apr 14 11:44:10 dhcp205 kernel: [C0393E50] [C01D3D84] ide_intr+0x204/0x240
Apr 14 11:44:10 dhcp205 kernel: [C0393E80] [C0059E28] handle_IRQ_event+0x54/0xa8
Apr 14 11:44:10 dhcp205 kernel: [C0393EA0] [C0059F80] __do_IRQ+0x104/0x188
Apr 14 11:44:10 dhcp205 kernel: [C0393EC0] [C00057E8] do_IRQ+0x4c/0x7c
Apr 14 11:44:10 dhcp205 kernel: [C0393EE0] [C000FC70] ret_from_except+0x0/0x14
Apr 14 11:44:10 dhcp205 kernel: --- Exception: 501 at default_idle+0x3c/0x44
Apr 14 11:44:10 dhcp205 kernel:     LR = default_idle+0x34/0x44
Apr 14 11:44:10 dhcp205 kernel: [C0393FA0] [C00247C0] cpu_idle+0x3c/0x5c
(unreliable)
Apr 14 11:44:10 dhcp205 kernel: [C0393FB0] [C0003E70] rest_init+0x28/0x38
Apr 14 11:44:10 dhcp205 kernel: [C0393FC0] [C0394720] start_kernel+0x19c/0x1b0
Apr 14 11:44:10 dhcp205 kernel: [C0393FF0] [000037A0] 0x37a0
Apr 14 11:44:10 dhcp205 kernel: hdc: Enabling MultiWord DMA 2
Comment 2 Robert Story 2006-04-14 15:31:21 EDT
Created attachment 127759 [details]
dmesg after suspend attempt
Comment 3 Robert Story 2006-04-14 15:32:03 EDT
Created attachment 127760 [details]
xlog after suspend attempt
Comment 4 Robert Story 2006-04-14 15:35:10 EDT
after installing apmud, 'snooze' does sleep/wake, but the same stack trace is
logged to messages...
Comment 5 Frank Arnold 2006-04-15 05:01:37 EDT
Same hardware here (Powerbook5,6), but I'm running Rawhide. Suspend to RAM
worked for sometime after FC4 release. Don't know when it stopped working.
Should have filed a bug about it earlier... shame on me.

Just tried to suspend through GNOME Power Manager applet. I get the same X
behaviour as with bug 187083 (odd black/red/white fading on the display, hard
hang). The fix for this bug currently isn't available in Rawhide.

My /var/log/messages looks identical, though. I think it should be reassigned to
kernel first.
Comment 7 Mike A. Harris 2006-05-23 09:18:37 EDT
Looking at the kernel log in the initial report, this seems indicative of
a kernel crash.

Reassigning to kernel component.
Comment 8 David Woodhouse 2006-05-23 09:21:37 EDT
No, that's just whinging about an mdelay() in IDE code. It's harmless.
Comment 9 Matěj Cepl 2007-04-04 18:13:22 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the latest release of Fedora (FC6)?

If yes, please, attach to this bug your X server config file
(/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug
report as individual uncompressed file attachments using the bugzilla file
attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 10 Matěj Cepl 2007-06-28 13:03:18 EDT
No response from reporter, no activity for a long time, closing as
INSUFFICIENT_DATA. If anyone has some information on this bug, please, reopen
with additional data.

Note You need to log in before you can comment on or make changes to this bug.